using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class BeginEdit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dTable = new DataTable("Clientes");
        dTable.Columns.Add("Nome", Type.GetType("System.String"));
        DataRow linha = dTable.NewRow();
        linha["Nome"] = "Alfredo Lotar";
        dTable.Rows.Add(linha);

        linha.BeginEdit();
        linha[0] = "Alfredo L. Wachholz";
        linha.EndEdit();

        foreach (DataRow dr in dTable.Rows)
        {
            Label1.Text+=dr[0].ToString() + "<br/>";
        }

    }
}